View Issue Details

IDProjectCategoryView StatusLast Update
13520Bug reports[All Projects] Theme editorpublic2018-04-20 20:40
ReporterDenisChenu Assigned ToTonisOrmisson  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.5.x 
Target VersionFixed in Version3.6.x 
Summary13520: Unable to import template
Description

Unable to import any template …

Steps To Reproduce

Extend Vanilla
Export extend_vanilla (no update)
Delete extend_vanilla
Try to import extend_vanilla

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.4 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-03-22 11:58

developer  

extends_vanilla.zip (111,129 bytes)
TonisOrmisson

TonisOrmisson

2018-03-29 15:05

developer   ~47285

original commot here by @c_schmitz
https://github.com/LimeSurvey/LimeSurvey/commit/8236bbca3c331639ec0650e515cdcddb4b6e2ba5#diff-3bffad5df24bd070751f5f638fcacf55R176

currently this checks if the folder for new template exists and fails if it does not (which is actually what we want as far as I understand)
Not sure id this check is needed currently

TonisOrmisson

TonisOrmisson

2018-03-29 15:09

developer   ~47286

https://github.com/LimeSurvey/LimeSurvey/pull/1030

TonisOrmisson

TonisOrmisson

2018-03-30 14:01

developer   ~47295

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26912

Related Changesets

LimeSurvey: master 31081abc

2018-03-30 14:01:12

TonisOrmisson


Committer: GitHub Details Diff
Fixed issue 13520: Unable to import theme (#1030)

* Fixed issue 13520: Unable to import theme

* Fixed issue 13520: Unable to import theme, adjust text
Affected Issues
13520
mod - application/controllers/admin/themes.php Diff File

Issue History

Date Modified Username Field Change
2018-03-22 11:58 DenisChenu New Issue
2018-03-22 11:58 DenisChenu File Added: extends_vanilla.zip
2018-03-29 14:58 TonisOrmisson Assigned To => TonisOrmisson
2018-03-29 14:58 TonisOrmisson Status new => assigned
2018-03-29 15:05 TonisOrmisson Note Added: 47285
2018-03-29 15:09 TonisOrmisson Note Added: 47286
2018-03-30 14:01 TonisOrmisson Changeset attached => LimeSurvey master 31081abc
2018-03-30 14:01 TonisOrmisson Note Added: 47295
2018-03-30 14:01 TonisOrmisson Resolution open => fixed
2018-04-20 20:40 TonisOrmisson Status assigned => closed
2018-04-20 20:40 TonisOrmisson Fixed in Version => 3.6.x